# Copyright (c) 2024 CloudZero - ALL RIGHTS RESERVED - PROPRIETARY AND CONFIDENTIAL
# Unauthorized copying of this file and/or project, via any medium is strictly prohibited.
# Direct all questions to legal@cloudzero.com
from enum import Enum
from aenum import extend_enum


class AutoExtendEnum(str, Enum):
    @classmethod
    def _missing_(cls, value):
        extend_enum(cls, value, value)
        return cls(value)
